<?php
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

$exec_script = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
$list_get = array('posid' => 'int>=0', 'id' => 'id', 'first' => 'accept');  // since only isset($_GET['first']) later, not necessary to check in
$_GET = Helper::sanitizeGet($_GET, $list_get, $exec_script, $invalid);

$ids = $_GET['id'];
$posid = $_GET['posid'];

/* [CHECKING SESSION] */
$newTarget = '/app/berogui/index.php?m=Dialplan';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

/* [CHECKING POST] */
unset($_POST);

/* [EXECUTING SCRIPT] */
if (!$exec_script) {
        echo "<script>window.location='../../index.php?m=Dialplan&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

/**
 * Die Position der Dialplaneintrag wird verschoben
 */

chdir("../..");

include './includes/variables.php';
include './misc/database.php';

// execute
$ba = new beroAri();
foreach ($ids as $id) {
	$query = $ba->select("select posId from dialplan where id='" . sqlite_escape_string($id) . "'");
	$old_posid = sqlite_fetch_single($query);
	if ($old_posid > $posid) {
		$query = $ba->select("SELECT * from dialplan where posId>=" . sqlite_escape_string($posid) . " order by posId asc");

		while (sqlite_has_more($query)) {
			$tmp = sqlite_fetch_array($query);
			$nposid = $tmp['posId'] + 1;
			$ba->update("UPDATE dialplan set posId='" . sqlite_escape_string($nposid) . "' where id='" . $tmp['id'] . "'");
		}
	} else if ($old_posid < $posid) {
		$query = $ba->select("SELECT * from dialplan where posId<=" . sqlite_escape_string($posid) . " and posId>" . $old_posid . " order by posId asc");

		while (sqlite_has_more($query)) {
			$tmp = sqlite_fetch_array($query);
			$nposid = $tmp['posId'] - 1;
			$ba->update("UPDATE dialplan set posId='" . sqlite_escape_string($nposid) . "' where id='" . $tmp['id'] . "'");
		}
	}

	$query = $ba->update("UPDATE dialplan SET posId='" . sqlite_escape_string($posid) . "' where id=" . sqlite_escape_string($id));
}

Helper::activate(1);

$div = floor(($posid - 1) / $ba->get('span'));
$start = $div * $ba->get('span');

$query = $ba->select('SELECT * FROM dialplan');
$record_count = sqlite_num_rows($query);
if ($posid > $record_count) {
	$div = floor(($record_count - 1) / $ba->get('span'));
	$start = $div * $ba->get('span');
}


if (isset($_GET['first'])) {
	header("Location: ../../index.php?m=Dialplan");
	exit;
} else {
	header("Location: ../../index.php?m=Dialplan&start=$start");
	exit;
}
?>
